### Function

# Fwupd Request flag_from_string

#### Declaration [src]

    FwupdRequestFlags
    fwupd_request_flag_from_string (
      const gchar* flag
    )

#### Description [src]

Converts a string to an enumerated request flag.

Available since: | 1.8.6

#### Parameters

`flag` | `const gchar*`
| A string, e.g. `none`
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `FwupdRequestFlags`
| Enumerated value.